#!/bin/bash 

if [[ $(id -u) -eq 0 ]]; then
  echo "Running as root is not supported. Unable to launch. Launch as a non-root user and try again. Exiting..."
  exit 1
fi

SCRIPT=$(readlink -f "$0")
readonly SCRIPT_NAME="${SCRIPT##*/}"
readonly SCRIPT_DIR=$(cd "${SCRIPT:0:${#SCRIPT} - ${#SCRIPT_NAME}}"; pwd)
readonly APP_DIR="$(cd "${SCRIPT_DIR}/.."; pwd)"
readonly APP_BASENAME_LOWER="crashplan"

export SWT_GTK3=0

if [[ -f "${APP_DIR}/install.vars" ]]; then
  source "${APP_DIR}/install.vars"
fi

if [[ ! -d "${HOME}/.${APP_BASENAME_LOWER}/log" ]]; then
   mkdir -p "${HOME}/.${APP_BASENAME_LOWER}/log"
fi

exec "${APP_DIR}/electron/${APP_BASENAME_LOWER}" & > "${HOME}/.${APP_BASENAME_LOWER}/log/ui_output.log" 2> "${HOME}/.${APP_BASENAME_LOWER}/log/ui_error.log"
